CGAL 6.2 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature::Vertical_range< GeomTraits, PointRange, PointMap > Class Template Reference
Reference Manual » Predefined Features

`#include <CGAL/Classification/Feature/Vertical_range.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename GeomTraits, typename PointRange, typename PointMap>
class CGAL::Classification::Feature::Vertical_range< GeomTraits, PointRange, PointMap >

Feature based on local height distribution.

This feature computes the distance between the maximum and the minimum height on the local cell of the planimetric grid.

Its default name is "vertical_range".

Template Parameters

  GeomTraits | model of CGAL Kernel.
  PointRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator` and its value type is the key type of `PointMap`.
  PointMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `GeomTraits::Point_3`.

## Public Member Functions
| Vertical_range (const PointRange &input, PointMap point_map, const Grid &grid)
| constructs the feature.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Vertical_range()

template<typename GeomTraits , typename PointRange , typename PointMap >

CGAL::Classification::Feature::Vertical_range< GeomTraits, PointRange, PointMap >::Vertical_range | ( | const PointRange & | input,
|  | PointMap | point_map,
|  | const Grid & | grid
| ) |  |

constructs the feature.

Parameters

  input | point range.
  point_map | property map to access the input points.
  grid | precomputed `Planimetric_grid`.